//========================================================================================
//
//	File:				GraphicsDef.h
//	Release Version:	$ 1.0d11 $
//
//	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef GRAPHICSDEF_H
#define GRAPHICSDEF_H

// Uncomment the following three lines, and define them appropriately!!
// If your part can be a container for other parts, define FW_SUPPORTS_EMBEDDING
// to be 1.  Otherwise define it to be 0.
// If your part defines any ODExtensions, define FW_SUPPORTS_EXTENSIONS to be
// 1 to enable the extensions manager.  Otherwise, define it to be 0.
// If your part is scriptable, define FW_SUPPORTS_SCRIPTING to be 1. Otherwise,
// define it to be zero.  Note that if your part is scriptable is must support
// extensions, so FW_SUPPORTS_EXTENSIONS must be defined to be 1.

#define FW_SUPPORTS_EMBEDDING 0
#define FW_SUPPORTS_EXTENSIONS 0
#define FW_SUPPORTS_SCRIPTING 0

// Kind
#define kGraphicsKind "+//ISO 9070/ANSI::113722::US::CI LABS::DevUniv:Kind:Graphics"

// Category
#define kGraphicsCategory "DevUniv:Category:Graphics"

// Class ID
#define kGraphicsEditor "DevUniv::Graphics"

// Editor User String
#define kGraphicsEditorUserString "Graphics 1.0"

// Kind User String
#define kGraphicsKindUserString "Graphics"

// Category User String
#define kGraphicsCategoryUserString "None"

// Graphics OSType
#define kGraphicsOSType 'DFMK'

#define kNMAPid 					127
#define kKindCategoryMapId			kNMAPid+1
#define kEditorKindMapId			kNMAPid+2
#define kEditorUserStringMapId		kNMAPid+3
#define kKindUserStringMapId		kNMAPid+4
#define kCategoryUserStringMapId	kNMAPid+5
#define kOldMacOSTypeMapId			kNMAPid+6

// Icon ID
#define kPartIconID		129		// [HLX] new

#endif

